Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.util
[Java] Class ComplexKeyHashMap

    java.lang.Object
      org.codehaus.groovy.util.ComplexKeyHashMap

    public class ComplexKeyHashMap
    extends java.lang.Object

Nested Class Summary
`static class` | `ComplexKeyHashMap.Entry`
`interface` | `ComplexKeyHashMap.EntryIterator`

Field Summary
`protected static int` | `DEFAULT_CAPACITY`
`protected static int` | `MAXIMUM_CAPACITY`
`protected static int` | `MINIMUM_CAPACITY`
`protected int` | `size`
`protected ComplexKeyHashMap.Entry[]` | `table`
`protected int` | `threshold`

Method Summary
`java.lang.Object` | `ComplexKeyHashMap()`
`java.lang.Object` | `ComplexKeyHashMap(boolean b)`
`java.lang.Object` | `ComplexKeyHashMap(int expectedMaxSize)`
`void` | `clear()`
`ComplexKeyHashMap.EntryIterator` | `getEntrySetIterator()`
`Entry[]` | `getTable()`
`static int` | `hash(int h)`
`void` | `init(int initCapacity)`
`boolean` | `isEmpty()`
`void` | `resize(int newLength)`
`int` | `size()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### DEFAULT_CAPACITY

    protected static final int DEFAULT_CAPACITY

### MAXIMUM_CAPACITY

    protected static final int MAXIMUM_CAPACITY

### MINIMUM_CAPACITY

    protected static final int MINIMUM_CAPACITY

### size

    protected int size

### table

    protected ComplexKeyHashMap.Entry[] table

### threshold

    protected int threshold

Method Detail

### ComplexKeyHashMap

    public java.lang.Object ComplexKeyHashMap()

### ComplexKeyHashMap

    public java.lang.Object ComplexKeyHashMap(boolean b)

### ComplexKeyHashMap

    public java.lang.Object ComplexKeyHashMap(int expectedMaxSize)

### clear

    public void clear()

### getEntrySetIterator

    public ComplexKeyHashMap.EntryIterator getEntrySetIterator()

### getTable

    public Entry[] getTable()

### hash

    public static int hash(int h)

### init

    public void init(int initCapacity)

### isEmpty

    public boolean isEmpty()

### resize

    public void resize(int newLength)

### size

    public int size()

Groovy Documentation